Skip to content

ProjectsController_createLabTest

POST
/projects/{projectId}/samples/{sampleId}/lab-tests
sampleId
required
string

Sample UUID

projectId
required
string

Project UUID

object
labTests
required

CreateLabTestDto

Array<object>
object
sample

Sample UUID

object
Example
Sample id
disease
required

Disease UUID

object
Example
Disease id
kitOrProtocol

Kit or Protocol of Test

string
testedAt

Tested Date of Test

string format: date-time
labComment

Comments of Test

string
testedBy

User who tested the sample

object
details

Additional dynamic details (e.g. ct values, storage)

object
testResult

Test Result

string
Allowed values: pending positive negative unclear
ctValue

Ct value detected

string
variant

Variant detected

string
viralLoad

Viral load detected

string
testResultReport

Test Result Report file path/key

string
object
success
required
boolean
message
required
string
data
required
Array<object>
object
testResult
string
Allowed values: pending positive negative unclear
id
required
string
ctValue
string
nullable
variant
string
nullable
viralLoad
string
nullable
kitOrProtocol
string
nullable
labComment
string
nullable
resultDate
string format: date-time
nullable
resultComment
string
nullable
testResultReport
string
nullable
testedAt
string format: date-time
nullable
project
object
id
required
string
name
required
string
code
required
string
sample
object
replicates
string
Allowed values: available not collected
sampleStatus
required
string
Allowed values: pending picked-up received pre-processed virus-isolation extracted tested rejected test-report-generated
barcode
required
string
id
required
string
sampleCode
string
nullable
collectedAt
required
string format: date-time
quantity
number
nullable
unit
string
nullable
habitat
string
nullable
conc
string
nullable
collectionTime
required
string format: date-time
photos
required
Array<string>
comment
string
nullable
rejectReason
string
nullable
receivedAt
string format: date-time
nullable
receivedVolumeValue
string
nullable
receivedVolumeUnit
string
nullable
receivedLabStorageDetails
string
nullable
extractionDateTime
string format: date-time
nullable
extractionSampleUsedValue
string
nullable
extractionSampleUsedUnit
string
nullable
extractionSampleRemainingValue
string
nullable
extractionSampleRemainingUnit
string
nullable
extractionComments
string
nullable
receivedBy
object
firstName
string
nullable
Example
John
id
required
string
lastName
string
nullable
profilePicture
string
nullable
designation
string
nullable
contactNumber
required
string
nullable
address
string
nullable
email
string
nullable
extractedBy
object
firstName
string
nullable
Example
John
id
required
string
lastName
string
nullable
profilePicture
string
nullable
designation
string
nullable
contactNumber
required
string
nullable
address
string
nullable
email
string
nullable
collectedBy
object
firstName
string
nullable
Example
John
id
required
string
lastName
string
nullable
profilePicture
string
nullable
designation
string
nullable
contactNumber
required
string
nullable
address
string
nullable
email
string
nullable
reportGeneratedBy
object
firstName
string
nullable
Example
John
id
required
string
lastName
string
nullable
profilePicture
string
nullable
designation
string
nullable
contactNumber
required
string
nullable
address
string
nullable
email
string
nullable
originalSampleId
string
nullable
disease
object
id
required
string
code
required
string
name
required
string
shortName
required
string
index
required
number
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
status
string
nullable
Allowed values: active inactive deleted
testedBy
object
firstName
string
nullable
Example
John
id
required
string
lastName
string
nullable
profilePicture
string
nullable
designation
string
nullable
contactNumber
required
string
nullable
address
string
nullable
email
string
nullable